List call types
Reference Data
List call types
Returns all active call types for your team (e.g., “Discovery Call”, “Demo”, “QBR”), including a count of how many calls have each type.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
import requests
url = "https://app.oneperfectslice.ai/api/public/v1/call-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneperfectslice.ai/api/public/v1/call-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.oneperfectslice.ai/api/public/v1/call-types \
--header 'Authorization: Bearer <token>'{
"data": {
"callTypes": [
{
"key": "discovery_call",
"label": "Discovery Call",
"description": "Initial discovery conversation with prospect.",
"status": "main",
"numCalls": 42
}
]
}
}Returns all active call types for your team (e.g., “Discovery Call”, “Demo”, “QBR”), including a count of how many calls have each type.
import requests
url = "https://app.oneperfectslice.ai/api/public/v1/call-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oneperfectslice.ai/api/public/v1/call-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.oneperfectslice.ai/api/public/v1/call-types \
--header 'Authorization: Bearer <token>'{
"data": {
"callTypes": [
{
"key": "discovery_call",
"label": "Discovery Call",
"description": "Initial discovery conversation with prospect.",
"status": "main",
"numCalls": 42
}
]
}
}key values from this response to populate callTypes filters in slice runs and evidence searches.